import 'babel-polyfill';
import 'babel-register';

import { execSync } from 'child_process';
import path from 'path';
import './hooks';

//  TODO - fix this
const childProcessPath = process.argv[1];
const testUtils = path.resolve(childProcessPath, './../../tools/testUtils.js');

const exec = (command, extraEnv) => (
  execSync(command, {
    stdio: 'inherit',
    env: Object.assign({}, process.env, extraEnv),
  })
);

const opts = `--require ${testUtils} --compilers js:babel-register`;
const files = '"src/**/*-spec.js"';

exec(`mocha ${opts} ${files}`);
