import webpack from 'webpack';

import getWebpackConfig from './../../src/webpack/webpack.config';

const handleError = (err) => { throw new Error(err); };

export default config => () => (
  new Promise((resolve) => {
    webpack(getWebpackConfig(config), (err, stats) => {
      if (err) handleError(err);
      resolve(stats);
    });
  })
);
