import nodeExternals from 'webpack-node-externals';
import path from 'path';

export default {
  module: {
    rules: [
      {
        test: /\.js?$/,
        exclude: /node_modules/,
        use: [
          'babel-loader',
        ],
      },
    ],
  },
  externals: [
    nodeExternals(),
  ],
  output: {
    filename: '[name].js',
    path: path.resolve(__dirname, '../'),
    libraryTarget: 'commonjs2',
  },
};
