#!/usr/bin/env node
module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 55);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, exports) {

module.exports = require("path");

/***/ }),

/***/ 1:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _path = __webpack_require__(0);

var _path2 = _interopRequireDefault(_path);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
  context: _path2.default.resolve(process.cwd(), './src'),
  distOutput: '/public',
  jsPath: 'js',
  cssPath: 'css',
  publicPath: '/assets/',
  indexFile: 'index.html',
  staticAssetsPath: '/public/assets',
  localIdentName: '[name]__[local]--[hash:base64:5]',
  autoPrefixer: ['last 2 versions'],
  devCssBundle: 'styles.bundle.css',
  prodCssBundle: 'styles.[contenthash:8].bundle.css',
  diagnostics: {
    heartbeat: '/diagnostic/heartbeat',
    version: '/diagnostic/version'
  },
  isDevEnvironment: process.env.NODE_ENV !== 'production'
};

/***/ }),

/***/ 3:
/***/ (function(module, exports) {

module.exports = require("babel-polyfill");

/***/ }),

/***/ 4:
/***/ (function(module, exports) {

module.exports = require("babel-register");

/***/ }),

/***/ 55:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


__webpack_require__(3);

__webpack_require__(4);

var _child_process = __webpack_require__(56);

var _path = __webpack_require__(0);

var _path2 = _interopRequireDefault(_path);

__webpack_require__(6);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//  TODO - fix this
var childProcessPath = process.argv[1];
var testUtils = _path2.default.resolve(childProcessPath, './../../tools/testUtils.js');

var exec = function exec(command, extraEnv) {
  return (0, _child_process.execSync)(command, {
    stdio: 'inherit',
    env: Object.assign({}, process.env, extraEnv)
  });
};

var opts = '--require ' + testUtils + ' --compilers js:babel-register';
var files = '"src/**/*-spec.js"';

exec('mocha ' + opts + ' ' + files);

/***/ }),

/***/ 56:
/***/ (function(module, exports) {

module.exports = require("child_process");

/***/ }),

/***/ 6:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _cssModulesRequireHook = __webpack_require__(7);

var _cssModulesRequireHook2 = _interopRequireDefault(_cssModulesRequireHook);

var _defaultConfig = __webpack_require__(1);

var _defaultConfig2 = _interopRequireDefault(_defaultConfig);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

(0, _cssModulesRequireHook2.default)({
  generateScopedName: _defaultConfig2.default.localIdentName
});

/***/ }),

/***/ 7:
/***/ (function(module, exports) {

module.exports = require("css-modules-require-hook");

/***/ })

/******/ });