const fs = require('fs');
const { argv } = require('yargs');

const appendToFile = (file, string) => (
  new Promise((resolve, reject) => {
    try {
      const data = fs.readFileSync(file);
      const fd = fs.openSync(file, 'w+');
      const buffer = new Buffer(`${string}\n`);
      fs.writeSync(fd, buffer, 0, buffer.length, 0);
      fs.writeSync(fd, data, 0, data.length, buffer.length);
      fs.close(fd);
      resolve();
    } catch (err) {
      reject(err);
    }
  })
);

const { files } = argv;
const filesToEmbed = files.split(',');

filesToEmbed.forEach(file => appendToFile(file, '#!/usr/bin/env node'));
