import 'babel-polyfill';
import { jsdom } from 'jsdom';
import './hooks';

const doc = jsdom('<!doctype html><html><head><meta name="description" /></head><body></body></html>');
const win = doc.defaultView;

global.document = doc;
global.window = win;
global.noRequireContext = true;

Object.keys(window).forEach((key) => {
  if (!(key in global)) {
    global[key] = window[key];
  }
});
